Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Python
import requests url = "https://api.mem0.ai/v1/events/" headers = {"Authorization": "Token <api-key>"} response = requests.request("GET", url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Token <api-key>'}}; fetch('https://api.mem0.ai/v1/events/', options) .then(response => response.json()) .then(response => console.log(response)) .catch(err => console.error(err));
curl --request GET \ --url https://api.mem0.ai/v1/events/ \ --header 'Authorization: Token <api-key>'
package main import ( "fmt" "net/http" "io/ioutil" ) func main() { url := "https://api.mem0.ai/v1/events/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Token <api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) }
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.mem0.ai/v1/events/", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Token <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
HttpResponse<String> response = Unirest.get("https://api.mem0.ai/v1/events/") .header("Authorization", "Token <api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.mem0.ai/v1/events/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
{ "count": 123, "results": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "event_type": "<string>", "status": "PENDING", "payload": {}, "metadata": {}, "results": "<array>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "started_at": "2023-11-07T05:31:56Z", "completed_at": "2023-11-07T05:31:56Z", "latency": 123 } ], "next": "<string>", "previous": "<string>" }
List recent events for your organization and project, useful for dashboards, alerting, and audit logging.
FAILED
API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'
Successfully retrieved events.
Total number of events matching the filters.
Array of event objects.
Show child attributes
URL for the next page of results.
URL for the previous page of results.